{if $result}
    <div style="margin: 20px;" class="alert mgAlert {if $result == 'success'}alert-success{else}alert-danger{/if}">
        {$lang->translate($resultmsg)}
    </div>
{/if}

{literal}
    <script type="text/javascript">

        $(document).ready(function ()
        {
            $('.showChangeIp').on('click', function (e)
            {
                $('.changelicenses').toggle(false);
                $('#changelicenseip').toggle();
                e.preventDefault();
            });

            setTimeout(function()
            {
                $('.mgAlert').hide(100);
            }, 3000);

            $('.showChangeName').on('click', function (e)
            {
                $('.changelicenses').toggle(false);
                $('#changelicensename').toggle();
                e.preventDefault();
            });

            $('.showChangeOs').on('click', function (e)
            {
                $('.changelicenses').toggle(false);
                $('#changelicenseos').toggle();
                e.preventDefault();
            });

            $('.hideChangeOs, .hideChangeIp, .hideChangeName').on('click', function (e)
            {
                $('.changelicenses').toggle(false);
                e.preventDefault();
            });

        });
    </script>
{/literal}

<h3>{$lang->translate('License Details')}</h3>

<div  id="licensedetails" style="padding: 20px; text-align:left;">
    <table width="100%" style="border-collapse: inherit" cellspacing="0" cellpadding="5" class="table table-hover" >
        <tbody>
            <tr><td width="200" class="fieldarea">{$lang->translate('ID')}:</td><td align="left"><strong>{$license->lid}</strong></td></tr>
            <tr><td class="fieldarea">{$lang->translate('Status')}:</td><td align="left"><strong>{if $license->active eq 'N'}<span class="label label-danger">{$lang->translate('Not Active')}</span>{else}<span class="label label-success">{$lang->translate('Active')}</span>{/if}</strong></td></tr>
            <tr><td class="fieldarea">{$lang->translate('Verified')}:</td><td align="left"><strong>{if $license->verified eq 'N'}{$lang->translate('No')}{else}{$lang->translate('Yes')}{/if}</strong></td></tr>
            <tr><td class="fieldarea">{$lang->translate('Name In License')}:</td><td align="left">{$license->nameinlicense}</td></tr>
            <tr><td class="fieldarea">{$lang->translate('IP')}:</td><td align="left">{$license->ip}</td></tr>
            <tr><td class="fieldarea">{$lang->translate('OS')}:</td><td align="left">{$license->os}</td></tr>
            <tr><td class="fieldarea">{$lang->translate('Start Date')}:</td><td align="left">{if $license->start eq 0}{$lang->translate('Not started yet')}{else}{$license->start|date_format}{/if}</td></tr>
            <tr><td class="fieldarea">{$lang->translate('Expiry Date')}:</td><td align="left">{if $license->start eq 0}{$lang->translate('Not started yet')}{else}{$license->expiry|date_format}{/if}</td></tr>
            <tr><td class="fieldarea">{$lang->translate('Product Name')}:</td><td align="left"><strong>{$license->productname}</strong></td></tr>
        </tbody>
    </table>
</div>

<div style="margin: 0 10px; text-align:center;">
    <button class="btn btn-primary showChangeIp">{$lang->translate('Change License IP Address')}</button>
    <button class="btn btn-primary showChangeOs">{$lang->translate('Change License OS')}</button>
    <button class="btn btn-primary showChangeName">{$lang->translate('Change License Name')}</button>
</div>


<div  id="changelicenseip" class="changelicenses" style="padding: 10px; display: none; ">
    <div style="text-align: center; margin-bottom: 15px;"><h3>{$lang->translate('Change License IP')}</h3>
        <form action="clientarea.php?action=productdetails&id={$params.serviceid}{$modtype}" method="post">
            <input type="hidden" name="modop" value="custom" />
            <input type="hidden" name="subaction" value="changeIPAddress" />
            <input type="hidden" name="clientchange" value="1" />
            {$lang->translate('Provide new license IP')}: <input size="20" type="text" name="newip" value="{$params.customfields.IP}" /><br/><br/>
            <input type="submit" class="btn btn-success" style="font-weight: bold" value="{$lang->translate('Submit')}" />
            <input type="submit" class="btn btn-danger hideChangeIp" value="{$lang->translate('Cancel')}" />
        </form>
    </div>
</div>

<div  id="changelicensename" class="changelicenses" style="padding: 10px; display: none; align-content: center">
    <div style="text-align: center; margin-bottom: 15px;"><h3>{$lang->translate('Change License Name')}</h3>
        <form action="clientarea.php?action=productdetails&id={$params.serviceid}{$modtype}" method="post">
            <input type="hidden" name="modop" value="custom" />
            <input type="hidden" name="subaction" value="changeName" />
            <input type="hidden" name="clientchange" value="1" />
            {$lang->translate('Provide new License Name')}: <input size="20" type="text" name="newname" value="{$license->nameinlicense}" /><br/><br/>
            <input type="submit" class="btn btn-success" style="font-weight: bold" value="{$lang->translate('Submit')}" />
            <input type="submit" class="btn btn-danger hideChangeName" value="{$lang->translate('Cancel')}" />
        </form>
    </div>
</div>

<div  id="changelicenseos" class="changelicenses" style="padding: 10px; display: none; align-content: center">
    <div style="text-align: center; margin-bottom: 15px;"><h3>{$lang->translate('Change License OS')}</h3>
        <form action="clientarea.php?action=productdetails&id={$params.serviceid}{$modtype}" method="post">
            <input type="hidden" name="modop" value="custom" />
            <input type="hidden" name="subaction" value="changeOs" />
            <input type="hidden" name="clientchange" value="1" />
            {$lang->translate('Select new OS')}: 
            <div class="row">
                <div class=" col-lg-4 col-lg-offset-4">
                    <select class="newos form-control" name="newos">
                        {foreach from=$os key=key item=item}
                            <option value='{$key}'>{$item}</option>
                        {/foreach}
                    </select>
                </div>
            </div><br>
            <div>
                <input type="submit" class="btn btn-success" style="font-weight: bold" value="{$lang->translate('Submit')}" />
                <input type="submit" class="btn btn-danger hideChangeOs" value="{$lang->translate('Cancel')}" />
            </div>
        </form>
    </div>
</div>
